PostBeaconBlindedBlocksV2

Publish a signed block.

Instructs the beacon node to use the components of the SignedBlindedBeaconBlock to construct and publish a
SignedBeaconBlock by swapping out the transactions_root for the corresponding full list of transactions.
The beacon node should broadcast a newly constructed SignedBeaconBlock to the beacon network,
to be included in the beacon chain. The beacon node is not required to validate the signed
BeaconBlock, and a successful response (20X) only indicates that the broadcast has been
successful. The beacon node is expected to integrate the new block into its state, and
therefore validate the block internally, however blocks which fail the validation are still
broadcast but a different status code is returned (202). Before Bellatrix, this endpoint will accept
a SignedBeaconBlock. The broadcast behaviour may be adjusted via the broadcast_validation
query parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to public

For higher throughput, please create your own API key.

Query Params
string
enum

Level of validation that must be applied to a block before it is broadcast.

Possible values:

  • gossip (default): lightweight gossip checks only
  • consensus: full consensus checks, including validation of all signatures and
    blocks fields except for the execution payload transactions.
  • consensus_and_equivocation: the same as consensus, with an extra equivocation
    check immediately before the block is broadcast. If the block is found to be an
    equivocation it fails validation.

If the block fails the requested level of a validation a 400 status MUST be returned
immediately and the block MUST NOT be broadcast to the network.

If validation succeeds, the block must still be fully verified before it is
incorporated into the state and a 20x status is returned to the caller.

Allowed:
Body Params

The SignedBlindedBeaconBlock object composed of BlindedBeaconBlock object (produced by beacon node) and validator signature.

Headers
string
enum
required

Version of the block being submitted.

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses
200

The block was validated successfully and has been broadcast. It has also been integrated into the beacon node's database.

202

The block failed validation, but was successfully broadcast anyway. It was not integrated into the beacon node's database.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!